### GET /resources/typeTwoResources/{ids}/ Source: https://connhex.com/api/resources/latest/api.json Get typeTwoResource. Required Permission: - Resource: ```resource:typeTwoResources:{id0}, resource:typeTwoResources:{id1}, ...``` - Action: ```resource:typeTwoResources:get``` ```markdown ### Parameters - **ids** (string, path, required): Comma-separated globally unique ids (UUID4) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (object) (required) - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **createdAt** (string (date)) - **name** (string) (required) - **tenants** (array (string)): Tenant IDs this resource belongs to. - **relationships** (object) - **typeOneResource** (object): a singular 'to-one' relationship - **links** (object): optional references to other resource objects - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL - **data** (object) - **meta** (object) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/resources/typeTwoResources/{ids}/" ``` ``` -------------------------------- ### GET /resources/typeOneResources/ Source: https://connhex.com/api/resources/latest/api.json List typeOneResources. Required Permission: - Resource: ```resource:typeOneResources``` - Action: ```resource:typeOneResources:list``` ```markdown ### Parameters - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (array (TypeOneResource)) (required) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **createdAt** (string (date)) - **serial** (string) (required) - **tenants** (array (string)): Tenant IDs this resource belongs to. - **relationships** (object) - **typeTwoResources** (object): a multiple 'to-many' relationship - **links** (object): optional references to other resource objects - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL - **data** (array (linkage)): An array of objects each containing the 'type' and 'id' for to-many relationships Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **meta** (object) - **meta** (object) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/resources/typeOneResources/" ``` ``` -------------------------------- ### GET /resources/typeOneResources/{ids}/ Source: https://connhex.com/api/resources/latest/api.json Get typeOneResource. Required Permission: - Resource: ```resource:typeOneResources:{id0}, resource:typeOneResources:{id1}, ...``` - Action: ```resource:typeOneResources:get``` ```markdown ### Parameters - **ids** (string, path, required): Comma-separated globally unique ids (UUID4) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (object) (required) - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **createdAt** (string (date)) - **serial** (string) (required) - **tenants** (array (string)): Tenant IDs this resource belongs to. - **relationships** (object) - **typeTwoResources** (object): a multiple 'to-many' relationship - **links** (object): optional references to other resource objects - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL - **data** (array (linkage)): An array of objects each containing the 'type' and 'id' for to-many relationships Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **meta** (object) - **meta** (object) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/resources/typeOneResources/{ids}/" ``` ``` -------------------------------- ### GET /resources/typeTwoResources/ Source: https://connhex.com/api/resources/latest/api.json List typeTwoResources. Required Permission: - Resource: ```resource:typeTwoResources``` - Action: ```resource:typeTwoResources:list``` ```markdown ### Parameters - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (array (TypeTwoResource)) (required) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **createdAt** (string (date)) - **name** (string) (required) - **tenants** (array (string)): Tenant IDs this resource belongs to. - **relationships** (object) - **typeOneResource** (object): a singular 'to-one' relationship - **links** (object): optional references to other resource objects - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL - **data** (object) - **meta** (object) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/resources/typeTwoResources/" ``` ``` -------------------------------- ### GET /resources/typeTwoResources/{id}/relationships/{related_field}/ Source: https://connhex.com/api/resources/latest/api.json Read a typeOneResource associated with the typeTwoResource. Required Permission: - Resource: ```resource:typeTwoResources:{id}, resource:typeTwoResources:typeOneResource``` - Action: ```resource:typeTwoResources:get, resource:typeOneResources:get``` ```markdown ### Parameters - **id** (string, path, required): Globally unique ids (UUID4) - **related_field** (string, path, required) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (object) (required) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/resources/typeTwoResources/{id}/relationships/{related_field}/" ``` ``` -------------------------------- ### GET /resources/typeTwoResources/{ids}/typeOneResource/ Source: https://connhex.com/api/resources/latest/api.json Read associated typeOneResource. Required Permission: - Resource: ```resource:typeTwoResources:{id0}, resource:typeTwoResources:{id1}, ...``` - Action: ```resource:typeOneResources:get``` ```markdown ### Parameters - **ids** (string, path, required): Comma-separated globally unique ids (UUID4) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (object) (required) - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **createdAt** (string (date)) - **serial** (string) (required) - **tenants** (array (string)): Tenant IDs this resource belongs to. - **relationships** (object) - **typeTwoResources** (object): a multiple 'to-many' relationship - **links** (object): optional references to other resource objects - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL - **data** (array (linkage)): An array of objects each containing the 'type' and 'id' for to-many relationships Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **meta** (object) - **meta** (object) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/resources/typeTwoResources/{ids}/typeOneResource/" ``` ``` -------------------------------- ### GET /resources/typeOneResources/{ids}/typeTwoResources/ Source: https://connhex.com/api/resources/latest/api.json List associated typeTwoResources. Required Permission: - Resource: ```resource:typeOneResources:{id0}, resource:typeOneResources:{id1}, ...``` - Action: ```resource:typeTwoResources:list``` ```markdown ### Parameters - **ids** (string, path, required): Comma-separated globally unique ids (UUID4) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (array (TypeTwoResource)) (required) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **createdAt** (string (date)) - **name** (string) (required) - **tenants** (array (string)): Tenant IDs this resource belongs to. - **relationships** (object) - **typeOneResource** (object): a singular 'to-one' relationship - **links** (object): optional references to other resource objects - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL - **data** (object) - **meta** (object) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/resources/typeOneResources/{ids}/typeTwoResources/" ``` ``` -------------------------------- ### GET /resources/typeOneResources/{id}/relationships/{related_field}/ Source: https://connhex.com/api/resources/latest/api.json Read a typeTwoResource (related_field) associated with the typeOneResource. Required Permission: - Resource: ```resource:typeOneResources:{id}, resource:typeOneResources:typeTwoResources``` - Action: ```resource:typeOneResources:get, resource:typeTwoResources:list``` ```markdown ### Parameters - **id** (string, path, required): Globally unique ids (UUID4) - **related_field** (string, path, required) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (object) (required) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis.connhex.com/resources/typeOneResources/{id}/relationships/{related_field}/" ``` ``` -------------------------------- ### API Overview: connhex-resources Source: https://connhex.com/api/resources/latest/api.json Connhex Resources APIs are auto-generated from custom **Connhex JSON schemas** defined by the Connhex administrator. Each schema defines the attributes and the relationships of a given resource. Here, as an example, we present a set of APIs automatically generated from the following **Connhex JSON Schemas**: #### TypeOneResource ```json { "$id": "https://connhex.com/type-one-resource.schema.json", "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "serial": { "type": "string", "title": "Serial" }, "typeTwoResources": { "type": "array", "title": "TypeTwoResources", "items": { "type": "string", "connhex": { "id": "typeTwoResource" } } }, "createdAt": { "type": "string", "title": "Creation Date", "format": "date-time" } } } ``` #### TypeTwoResource ```json { "$id": "https://connhex.com/type-two-resource.schema.json", "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "name": { "type": "string", "title": "Name" }, "typeOneResource": { "type": "array", "title": "TypeOneResource", "connhex": { "id": "typeOneResource" } }, "createdAt": { "type": "string", "title": "Creation Date", "format": "date-time" } } } ``` For further details on how Connhex Resources works please check [here](https://connhex.com/docs/resources/intro). #### Tenants Every resource schema must include a `tenants` field (`string[]`). This field is **required by the platform** to support multi-tenancy: - **On read / list**: results are automatically scoped to resources belonging to the caller's authorized tenants. - **On create**: if `tenants` is not provided in the request body, the resource is automatically assigned to the caller's authorized tenants. If provided, the value is intersected with the caller's authorized tenants. - **On update**: the `tenants` field can be updated to reassign a resource to different tenants (within the caller's authorized set). ```yaml # connhex-resources # Version: 1.4.0 Connhex Resources APIs are auto-generated from custom **Connhex JSON schemas** defined by the Connhex administrator. Each schema defines the attributes and the relationships of a given resource. Here, as an example, we present a set of APIs automatically generated from the following **Connhex JSON Schemas**: #### TypeOneResource ```json { "$id": "https://connhex.com/type-one-resource.schema.json", "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "serial": { "type": "string", "title": "Serial" }, "typeTwoResources": { "type": "array", "title": "TypeTwoResources", "items": { "type": "string", "connhex": { "id": "typeTwoResource" } } }, "createdAt": { "type": "string", "title": "Creation Date", "format": "date-time" } } } ``` #### TypeTwoResource ```json { "$id": "https://connhex.com/type-two-resource.schema.json", "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "name": { "type": "string", "title": "Name" }, "typeOneResource": { "type": "array", "title": "TypeOneResource", "connhex": { "id": "typeOneResource" } }, "createdAt": { "type": "string", "title": "Creation Date", "format": "date-time" } } } ``` For further details on how Connhex Resources works please check [here](https://connhex.com/docs/resources/intro). #### Tenants Every resource schema must include a `tenants` field (`string[]`). This field is **required by the platform** to support multi-tenancy: - **On read / list**: results are automatically scoped to resources belonging to the caller's authorized tenants. - **On create**: if `tenants` is not provided in the request body, the resource is automatically assigned to the caller's authorized tenants. If provided, the value is intersected with the caller's authorized tenants. - **On update**: the `tenants` field can be updated to reassign a resource to different tenants (within the caller's authorized set). # Base URL: https://apis.connhex.com ```